/*   -- АБОБА --*/
// определение режима соединения и подключение библиотеки RemoteXY 
#define REMOTEXY_MODE__ESP8266WIFI_LIB_POINT
#include <ESP8266WiFi.h>

#include <RemoteXY.h>
int Dh=0;
int Dk=1023; 

// настройки соединения 
#define REMOTEXY_WIFI_SSID "RemoteXY"
#define REMOTEXY_WIFI_PASSWORD "12345678"
#define REMOTEXY_SERVER_PORT 6377


// конфигурация интерфейса  
#pragma pack(push, 
uint8_t RemoteXY_CONF[] =   // 185 bytes
  { 255,1,0,12,0,178,0,16,16,0,129,0,5,4,74,6,24,208,146,208,
  155,208,144,208,150,208,157,208,158,208,161,208,162,208,172,32,208,159,208,158,
  208,167,208,146,208,171,44,32,37,0,67,4,6,13,73,9,24,26,11,70,
  33,84,7,15,15,24,94,24,0,3,133,4,34,93,20,28,24,129,0,4,
  30,92,3,24,208,147,208,184,208,180,209,128,208,190,209,132,208,184,209,130,
  209,139,32,124,32,208,147,208,184,208,179,209,128,208,190,209,132,208,184,209,
  130,209,139,32,124,32,208,156,208,181,208,183,208,190,209,132,208,184,209,130,
  209,139,32,124,32,208,154,209,129,208,181,209,128,208,190,209,132,208,184,209,
  130,209,139,32,124,32,208,161,209,131,208,186,209,131,208,187,208,181,208,189,
  209,130,209,139,0 };
  
// структура определяет все переменные и события вашего интерфейса управления 
struct {

    // input variables
  uint8_t select_1; // =0 если переключатель в положении A, =1 если в положении B, =2 если в положении C, ... 

    // output variables
  char text_1[11];  // =строка UTF8 оканчивающаяся нулем 
  uint8_t led_1; // led state 0 .. 2 

    // other variable
  uint8_t connect_flag;  // =1 if wire connected, else =0 

} RemoteXY;
#pragma pack(pop)

/////////////////////////////////////////////
//           END RemoteXY include          //
/////////////////////////////////////////////



void setup() 
{
  RemoteXY_Init (); 
 pinMode(A0,INPUT);
 Serial.begin(9600); 
 pinMode(D5,OUTPUT);
  pinMode(D3,INPUT);  
}

void loop() 
{ 
  RemoteXY_Handler ();
  //digitalWrite(D5,0);
  int aboba=analogRead(A0);
  int rer = digitalRead (D3);
aboba=map(aboba,Dh,Dk,0,100);
  Serial.println (aboba);
  delay(400);
itoa(aboba,RemoteXY.text_1,10);

if (rer==0){RemoteXY.led_1 = 0; 
if (RemoteXY.select_1==0) {
    /*  текущее состояние A */
    if(aboba < 85)
    {
      digitalWrite(D5,1);
      
    }   
    else digitalWrite (D5,0); 
  }
  else if (RemoteXY.select_1==1) {
    /*  текущее состояние B */
if(aboba < 80)
    {
      digitalWrite(D5,1);
      
    }    

    else digitalWrite (D5,0);
  }
  else if (RemoteXY.select_1==2) {
    /*  текущее состояние C */

    if(aboba < 75)
    {
      digitalWrite(D5,1);
      
    }    
else digitalWrite (D5,0);
    
  }
  else if (RemoteXY.select_1==3) {
    /*  текущее состояние D */
      
      if(aboba < 40)
    {
      digitalWrite(D5,1);
      
    }    
else digitalWrite (D5,0);
    
  }
    else if (RemoteXY.select_1==4) {
    /*  текущее состояние Е */
      
      if(aboba < 25)
    {
      digitalWrite(D5,1);
      
    }    
else digitalWrite (D5,0);
    
  }
}
else
{
   RemoteXY.led_1 = 1; 
}
}


// определение режима соединения и подключение библиотеки RemoteXY 
#define REMOTEXY_MODE__ESP8266WIFI_LIB_POINT
#include <ESP8266WiFi.h>

#include <RemoteXY.h>
#include <Wire.h>
#include <Adafruit_BMP085.h>
#define seaLevelPressure_hPa 1013.25
// настройки соединения 
#define REMOTEXY_WIFI_SSID "teplica"
#define REMOTEXY_WIFI_PASSWORD "12345678"
#define REMOTEXY_SERVER_PORT 6377


// конфигурация интерфейса  
#pragma pack(push, 1)
uint8_t RemoteXY_CONF[] =   // 182 bytes
  { 255,1,0,22,0,175,0,16,80,0,3,131,23,41,51,19,202,64,67,4,
  6,13,35,7,202,64,11,67,4,48,13,45,7,202,64,11,129,0,6,6,
  91,4,202,208,178,208,187,208,176,208,182,208,189,208,190,209,129,209,130,209,
  140,32,208,191,208,190,209,135,208,178,209,139,32,32,32,32,32,32,32,32,
  209,130,208,181,208,188,208,191,208,181,209,128,208,176,209,130,209,131,209,128,
  208,176,32,208,178,208,190,208,183,208,180,209,131,209,133,208,176,0,129,0,
  23,35,52,3,202,208,179,208,184,208,180,209,128,208,190,209,132,208,184,209,
  130,209,139,32,32,208,188,208,181,208,183,208,190,209,132,208,184,209,130,209,
  139,32,32,208,186,209,129,208,181,209,128,208,190,209,132,208,184,209,130,209,
  139,0 };
  
// структура определяет все переменные и события вашего интерфейса управления 
struct {

    // input variables
  uint8_t select_1; // =0 если переключатель в положении A, =1 если в положении B, =2 если в положении C, ... 

    // output variables
  char text_1[11];  // =строка UTF8 оканчивающаяся нулем 
  char text_2[11];  // =строка UTF8 оканчивающаяся нулем 

    // other variable
  uint8_t connect_flag;  // =1 if wire connected, else =0 

} RemoteXY;
#pragma pack(pop)

/////////////////////////////////////////////
//           END RemoteXY include          //
/////////////////////////////////////////////

Adafruit_BMP085 bmp;

void setup()

{
  RemoteXY_Init ();
  pinMode(A0,INPUT);
  pinMode(D4,OUTPUT);
  pinMode(D5,OUTPUT);
   Serial.begin(9600);
  if (!bmp.begin()) 
  {
    Serial.println("Could not find a valid BMP085 sensor, check wiring!");
    while (1) {}
  }
  // TODO you setup code
  
}

void loop() 
{ 
  RemoteXY_Handler ();
  int v=analogRead(A0);
  Serial.print(v);
  v=map(v,0,440,0,100);
  itoa(v,RemoteXY.text_1,10);
  // TODO you loop code
  // используйте структуру RemoteXY для передачи данных
  // не используйте функцию delay() 
  Serial.print("Temperature = ");
  Serial.print(bmp.readTemperature());
  Serial.println(" *C");
   itoa(bmp.readTemperature(),RemoteXY.text_2,10);
  if (bmp.readTemperature()>30)
    digitalWrite(D4,1);
  else digitalWrite(D4,0);
  
  if (RemoteXY.select_1==0) {
    if (v<85)  digitalWrite(D5,1);
    else digitalWrite(D5,0);
    /*  текущее состояние A */
  }
  else if (RemoteXY.select_1==1) {
    /*  текущее состояние B */
    if (v<70)  digitalWrite(D5,1);
    else digitalWrite(D5,0);
  }
  else if (RemoteXY.select_1==2) {
    /*  текущее состояние C */
    if (v<30)  digitalWrite(D5,1);
    else digitalWrite(D5,0);
  }
delay(500);
}
